rstk-sfdx-plugins-for-carmax
=======================

SFDX CLI extensions specifically for use on the CarMax implementation

# Contents
<!-- toc -->
* [Contents](#contents)
* [Usage](#usage)
* [Commands](#commands)
<!-- tocstop -->

# Usage
<!-- usage -->
```sh-session
$ npm install -g rstk-sfdx-plugins-for-carmax
$ sfdx COMMAND
running command...
$ sfdx (-v|--version|version)
rstk-sfdx-plugins-for-carmax/0.0.10 darwin-x64 node-v10.7.0
$ sfdx --help [COMMAND]
USAGE
  $ sfdx COMMAND
...
```
<!-- usagestop -->
# Commands
<!-- commands -->
* [`sfdx rstk:activate:org:production`](#sfdx-rstkactivateorgproduction)
* [`sfdx rstk:activate:org:sandbox`](#sfdx-rstkactivateorgsandbox)
* [`sfdx rstk:activate:org:scratch`](#sfdx-rstkactivateorgscratch)
* [`sfdx rstk:package:dependencies:install`](#sfdx-rstkpackagedependenciesinstall)

## `sfdx rstk:activate:org:production`

Activates the Rootstock ERP package for the Salesforce Production org specified.

```
USAGE
  $ sfdx rstk:activate:org:production

OPTIONS
  -u, --targetusername=targetusername              username or alias for the target org; overrides default target org
  -v, --targetdevhubusername=targetdevhubusername  username or alias for the dev hub org; overrides default dev hub org
  --apiversion=apiversion                          override the api version used for api requests made by this command
  --json                                           format output as json
  --loglevel=(trace|debug|info|warn|error|fatal)   logging level for this command invocation

EXAMPLE
  $ sfdx rstk:activate:org:sandbox --targetusername myOrg@example.com --targetdevhubusername devhub@org.com
           Rootstock ERP package has been successfully activated for sandbox org myOrg@example.com.
```

_See code: [src/commands/rstk/activate/org/production.ts](https://github.com/RootstockMFG/rstk-sfdx-plugins-for-carmax/blob/v0.0.10/src/commands/rstk/activate/org/production.ts)_

## `sfdx rstk:activate:org:sandbox`

Activates the Rootstock ERP package for the Salesforce Sandbox org specified.

```
USAGE
  $ sfdx rstk:activate:org:sandbox

OPTIONS
  -u, --targetusername=targetusername              username or alias for the target org; overrides default target org
  -v, --targetdevhubusername=targetdevhubusername  username or alias for the dev hub org; overrides default dev hub org
  --apiversion=apiversion                          override the api version used for api requests made by this command
  --json                                           format output as json
  --loglevel=(trace|debug|info|warn|error|fatal)   logging level for this command invocation

EXAMPLE
  $ sfdx rstk:activate:org:sandbox --targetusername myOrg@example.com --targetdevhubusername devhub@org.com
           Rootstock ERP package has been successfully activated for sandbox org myOrg@example.com.
```

_See code: [src/commands/rstk/activate/org/sandbox.ts](https://github.com/RootstockMFG/rstk-sfdx-plugins-for-carmax/blob/v0.0.10/src/commands/rstk/activate/org/sandbox.ts)_

## `sfdx rstk:activate:org:scratch`

Activates the Rootstock ERP package for the Salesforce DX scratch org specified.

```
USAGE
  $ sfdx rstk:activate:org:scratch

OPTIONS
  -u, --targetusername=targetusername              username or alias for the target org; overrides default target org
  -v, --targetdevhubusername=targetdevhubusername  username or alias for the dev hub org; overrides default dev hub org
  --apiversion=apiversion                          override the api version used for api requests made by this command
  --json                                           format output as json
  --loglevel=(trace|debug|info|warn|error|fatal)   logging level for this command invocation

EXAMPLE
  $ sfdx rstk:activate:org:scratch --targetusername myOrg@example.com --targetdevhubusername devhub@org.com
           Rootstock ERP package has been successfully activated for scratch org myOrg@example.com.
```

_See code: [src/commands/rstk/activate/org/scratch.ts](https://github.com/RootstockMFG/rstk-sfdx-plugins-for-carmax/blob/v0.0.10/src/commands/rstk/activate/org/scratch.ts)_

## `sfdx rstk:package:dependencies:install`

Install dependent Packages for a sfdx project

```
USAGE
  $ sfdx rstk:package:dependencies:install

OPTIONS
  -b, --branch=branch                              the package version’s branch

  -k, --installationkeys=installationkeys          installation key for key-protected packages (format is
                                                   1:MyPackage1Key 2: 3:MyPackage3Key... to allow some packages without
                                                   installation key)

  -r, --noprompt                                   allow Remote Site Settings and Content Security Policy websites to
                                                   send or receive data without confirmation

  -u, --targetusername=targetusername              username or alias for the target org; overrides default target org

  -v, --targetdevhubusername=targetdevhubusername  username or alias for the dev hub org; overrides default dev hub org

  -w, --wait=wait                                  number of minutes to wait for installation status (also used for
                                                   publishwait). Default is 10

  --apiversion=apiversion                          override the api version used for api requests made by this command

  --json                                           format output as json

  --loglevel=(trace|debug|info|warn|error|fatal)   logging level for this command invocation

EXAMPLE
  $ rstk:package:dependencies:install -u MyScratchOrg -v MyDevHub -k "1:MyPackage1Key 2: 3:MyPackage3Key" -b "DEV"
```

_See code: [rstk-sfdx-package-utils](https://github.com/RootstockMFG/rstk-sfdx-package-utils/blob/v0.0.2/src/commands/rstk/package/dependencies/install.ts)_
<!-- commandsstop -->
