"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const baseQuery = 'select Id, OwnerId, IsDeleted, Name, CreatedDate, CreatedById, LastModifiedDate, LastModifiedById, SystemModstamp, LastActivityDate, LastViewedDate'
    + ', LastReferencedDate, rstk__Buying_Division__c, rstk__externalid__c, rstk__formula_extid__c, rstk__formula_searchindex__c, rstk__search_index__c'
    + ', rstk__searchindex__c, rstk__sydiv_advoptdisassembly__c, rstk__sydiv_advoptsubcntrct__c, rstk__sydiv_alloc_active__c, rstk__sydiv_autocalcdiss__c'
    + ', rstk__sydiv_autoonejob__c, rstk__sydiv_autosrllink__c, rstk__sydiv_avgcostbylot__c, rstk__sydiv_backsched__c, rstk__sydiv_cmpno__c'
    + ', rstk__sydiv_costtype_pl__c, rstk__sydiv_descr__c, rstk__sydiv_dflthomeproj__c, rstk__sydiv_dfltindirect__c, rstk__sydiv_dfltjobcodeact__c'
    + ', rstk__sydiv_dfltorgid__c, rstk__sydiv_dfltsumasbudget__c, rstk__sydiv_dfltwbsact__c, rstk__sydiv_dimval__c, rstk__sydiv_disoperaltcode__c'
    + ', rstk__sydiv_disscrapitem__c, rstk__sydiv_disslotserdflt__c, rstk__sydiv_div__c, rstk__sydiv_divdivstdsvaracct__c, rstk__sydiv_drpixrdays__c'
    + ', rstk__sydiv_ecoact__c, rstk__sydiv_ecoactrouting__c, rstk__sydiv_eodautooffall__c, rstk__sydiv_eodsyncminhalf__c, rstk__sydiv_eodsyncmintop__c'
    + ', rstk__sydiv_firstinvrev__c, rstk__sydiv_frngohdcost_active__c, rstk__sydiv_gnrlexpenseacct__c, rstk__sydiv_iccomcod__c, rstk__sydiv_initpeitemrevstatus_pl__c'
    + ', rstk__sydiv_intersiteindepdmdind__c, rstk__sydiv_intrdivdmdtxfracct__c, rstk__sydiv_invdivappl__c, rstk__sydiv_itemprojacctsrcind_pl__c'
    + ', rstk__sydiv_jobcodeact__c, rstk__sydiv_labbackflush__c, rstk__sydiv_labclracct__c, rstk__sydiv_labohdcost_active__c, rstk__sydiv_laborbook_active__c'
    + ', rstk__sydiv_landedcost_active__c, rstk__sydiv_lastaskqtyoh__c, rstk__sydiv_lastaskreceipts__c, rstk__sydiv_lastaskusage__c, rstk__sydiv_lastautoccdate__c'
    + ', rstk__sydiv_lastdhrno__c, rstk__sydiv_lstlabmacheffrunno__c, rstk__sydiv_lstrcptno__c, rstk__sydiv_machbook_active__c, rstk__sydiv_mainsite__c'
    + ', rstk__sydiv_mtlohdcost_active__c, rstk__sydiv_multisiteind__c, rstk__sydiv_nosrloveriss__c, rstk__sydiv_ohdfrngclracct__c, rstk__sydiv_ohdfrngrate__c'
    + ', rstk__sydiv_ohdlabclracct__c, rstk__sydiv_ohdlabrate__c, rstk__sydiv_ohdmachclracct__c, rstk__sydiv_ohdmachrate__c, rstk__sydiv_ohdmtlclracct__c'
    + ', rstk__sydiv_orderclosestoredays__c, rstk__sydiv_outsideopbook_active__c, rstk__sydiv_plmimportaddprod__c, rstk__sydiv_plmimportcomm__c'
    + ', rstk__sydiv_primercvaddr__c, rstk__sydiv_primeshipaddr__c, rstk__sydiv_printattach__c, rstk__sydiv_printtasks__c, rstk__sydiv_priorityopt__c'
    + ', rstk__sydiv_projact__c, rstk__sydiv_qtycmpperreq__c, rstk__sydiv_reconsrlblank__c, rstk__sydiv_refdegmassadd__c, rstk__sydiv_reqclosestoredays__c'
    + ', rstk__sydiv_reqdateupdate__c, rstk__sydiv_revactrouting__c, rstk__sydiv_revcntlact__c, rstk__sydiv_revformat_pl__c, rstk__sydiv_routing_active__c'
    + ', rstk__sydiv_rtgextractattch__c, rstk__sydiv_rtgextractnotes__c, rstk__sydiv_rwkoperaltcode__c, rstk__sydiv_schedusehours__c, rstk__sydiv_soapprvicixropt__c'
    + ', rstk__sydiv_sodsyncminhalf__c, rstk__sydiv_sodsyncmintop__c, rstk__sydiv_sovatclass__c, rstk__sydiv_srllinkonissue__c, rstk__sydiv_srlparentfirst__c'
    + ', rstk__sydiv_startupeffdte__c, rstk__sydiv_stdschgvaracct__c, rstk__sydiv_txfrord_pickpackind__c, rstk__sydiv_ufmethod__c, rstk__sydiv_ufmonths__c'
    + ', rstk__sydiv_ufpriormonths__c, rstk__sydiv_vatclass__c, rstk__sydiv_wbsact__c, rstk__sydiv_wmspassphrase__c, rstk__sydiv_wmsuserid__c'
    + ', rstk__sydiv_wooverrcpt__c, rstk__sydiv_worcptavgcostcalcopt__c, rstk__sydiv_worcptpassword__c, rstk__sydiv_worcpttolpcnt__c, rstk__sydiv_worefdesig__c'
    + ', rstk__triggeroptions__c, carmax_division__c, IsMaster__c, location_abbreviation__c, orderProcessingEnabled__c, region_name__c, service_type__c'
    + ', store_design_next_gen__c, store_design_type__c, store_type__c, usemasterdata__c, utc_offset_current__c, utc_offset_standard__c'
    + ' from rstk__sydiv__c';
async function selectById(id, conn) {
    return await conn.query(baseQuery + ' where Id = \'' + id + '\'');
}
exports.selectById = selectById;
async function selectByExternalId(externalId, conn) {
    return await conn.query(baseQuery + ' where rstk__externalid__c = \'' + externalId + '\'');
}
exports.selectByExternalId = selectByExternalId;
async function selectByCompany(company, conn) {
    return await conn.query(baseQuery + ' where rstk__sydiv_cmpno__c = \'' + company.Id + '\'');
}
exports.selectByCompany = selectByCompany;
//# sourceMappingURL=rstk__sydivsSelector.js.map