"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const orgSelector = require("../selectors/organizationSelector");
async function isScratchOrg(thisOrg, thisConnection) {
    // thisOrg.getOrgId
    // thisCmd.ux.log( thisCmd.org.getConnection() );
    const orgQueryResult = await orgSelector.select(thisOrg.getConnection());
    if (orgQueryResult.totalSize <= 0) {
        throw new Error('FATAL error -- No records returned for Organization query');
    }
    // is this org a Scratch org?  For the moment, the best way to detect this
    // is to use the Organization.IsSandbox data fields
    const isSandbox = orgQueryResult.records[0].IsSandbox;
    //    if ( ! isSandbox || ! thisOrg.checkScratchOrg()) {
    if (!isSandbox) {
        return false;
    }
    return true;
}
exports.isScratchOrg = isScratchOrg;
async function isSandboxOrg(thisOrg) {
    const orgQueryResult = await orgSelector.select(thisOrg.getConnection());
    if (orgQueryResult.totalSize <= 0) {
        throw new Error('FATAL error -- No records returned for Organization query');
    }
    // is this org a Scratch org?  For the moment, the best way to detect this
    // is to use the Organization.IsSandbox data fields
    const isSandbox = orgQueryResult.records[0].IsSandbox;
    //    if ( ! isSandbox || thisOrg.checkScratchOrg()) {
    if (!isSandbox) {
        return false;
    }
    return true;
}
exports.isSandboxOrg = isSandboxOrg;
async function isProductionOrg(thisOrg) {
    const orgQueryResult = await orgSelector.select(thisOrg.getConnection());
    if (orgQueryResult.totalSize <= 0) {
        throw new Error('FATAL error -- No records returned for Organization query');
    }
    // is this org a Scratch org?  For the moment, the best way to detect this
    // is to use the Organization.IsSandbox data fields
    const isSandbox = orgQueryResult.records[0].IsSandbox;
    //    if ( isSandbox || thisOrg.checkScratchOrg()) {
    if (isSandbox) {
        return false;
    }
    return true;
}
exports.isProductionOrg = isProductionOrg;
//# sourceMappingURL=orgValidations.js.map